Intel® Software Guard Extensions (Intel® SGX)
Use hardware-based isolation and memory encryption to provide more code protection in your solutions.

SGX SDK version 2.9 Support in RHEL 7.6

Anandakumar
New Contributor I
504 Views

Screenshot from 2021-07-13 11-42-37.png

As mentioned in the installation document, If no SDK installers provided for the SGX SDK 2.9 and above, for the below OS distribution

Anandakumar_0-1626157051818.pngShould I use SGXSDK 2.8 instead SGXSDK 2.9 ? If SDK is not supported, then why those distributions are in the supported OS list?

 

Thanks,

Anand

 

 

 

 

0 Kudos
1 Solution
JesusG_Intel
Moderator
486 Views

Hello Anand,


The long list of supported OSes includes support for the SGX driver and PSW. The SDK installer is more restrictive because of the native GCC version in the unsupported OSes.


Since this is security software, you should use the latest released software to ensure you have the most up-to-date security and functionality fixes. Using older SDKs makes your software less secure. We recommend to upgrade your OS so that you can use the latest version of the SGX SDK.


Sincerely,

Jesus G.

Intel Customer Support


View solution in original post

2 Replies
JesusG_Intel
Moderator
487 Views

Hello Anand,


The long list of supported OSes includes support for the SGX driver and PSW. The SDK installer is more restrictive because of the native GCC version in the unsupported OSes.


Since this is security software, you should use the latest released software to ensure you have the most up-to-date security and functionality fixes. Using older SDKs makes your software less secure. We recommend to upgrade your OS so that you can use the latest version of the SGX SDK.


Sincerely,

Jesus G.

Intel Customer Support


JesusG_Intel
Moderator
468 Views

This thread has been marked as answered and Intel will no longer monitor this thread. If you want a response from Intel in a follow-up question, please open a new thread.


Reply